This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 353861 - t1lib: contains xglyph manpage but no xglyph
t1lib: contains xglyph manpage but no xglyph
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: t1lib (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 06:27 EDT by Tomas Hoger
Modified: 2008-01-27 02:29 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.1.1-7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-27 02:21:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-10-26 06:27:36 EDT
Description of problem:

Packages t1lib ship with xglyph manpage, but no xglyph binary.

Version-Release number of selected component (if applicable):

t1lib-5.1.1-3.fc7

Steps to Reproduce:

$ rpm -ql t1lib | grep xglyph
/usr/share/man/man1/xglyph.1.gz

Additional info:

Building xglyph will require additional build- and runtime dependencies (X 
libs).  Solution may be to split binaries to separate package distict from 
package containing only libs, as is done e.g. in Debian:

http://packages.debian.org/etch/libt1-5/i386/filelist
http://packages.debian.org/etch/t1lib-bin/i386/filelist

Removing manpage is another possible solution, of course.
Comment 1 Patrice Dumas 2008-01-05 05:16:43 EST
I'll have a look at it.
Comment 2 Patrice Dumas 2008-01-05 05:21:03 EST
Hum, it is fixed in devel.
Comment 3 Tomas Hoger 2008-01-05 12:59:41 EST
(In reply to comment #2)
> Hum, it is fixed in devel.

Uhm, may I ask where and how?  I can only see 5.1.1-3 in both Koji and CVS.  
What do I miss?
Comment 4 Patrice Dumas 2008-01-08 16:31:06 EST
Indeed, it is in my local build... but not in fedora...
Missing X BuildRequires, I'll fix that.
Comment 5 Fedora Update System 2008-01-11 17:14:41 EST
t1lib-5.1.1-7.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update t1lib'
Comment 6 Fedora Update System 2008-01-11 17:27:24 EST
t1lib-5.1.1-7.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update t1lib'
Comment 7 Fedora Update System 2008-01-27 02:21:42 EST
t1lib-5.1.1-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-01-27 02:29:21 EST
t1lib-5.1.1-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.